.portfolio {
  min-width: 320px;

  &__bg {
    background-color: $col-section-white;
    width: 100%;
  }

  &__container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 50px 10px;
  }

  &__title {
    font-weight: bold;
    text-align: center;
    font-size: 40px;
    line-height: 25px;
    padding: 10px;
    font-family: $font-title-text;
  }
}

.gallery {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(8, 5vw);
  grid-gap: 15px;
  margin-top: 30px;
  padding-bottom: 50px;

  &__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    margin: 0 auto;
    cursor: pointer;
    transition: 0.4s;
  }

  &__img:hover {
    box-shadow: 10px 10px 10px 0 rgba(32, 32, 32, 0.2);
    transform: translateX(-7px);
  }

  &__item--1 {
    grid-column: 1 / span 2;
    grid-row: 1 / span 2;
  }

  &__item--2 {
    grid-column: 3 / span 2;
    grid-row: 1 / span 2;
  }

  &__item--3 {
    grid-column: 5 / span 4;
    grid-row: 1 / span 5;
  }

  &__item--4 {
    grid-column: 1 / span 4;
    grid-row: 3 / span 3;
  }

  &__item--5 {
    grid-column: 1 / span 4;
    grid-row: 6 / span 3;
  }

  &__item--6 {
    grid-column: 5 / span 4;
    grid-row: 6 / span 3
  }
}